/*
 * readthread.h
 *
 *  Created on: Jul 23, 2020
 *      Author: claudio
 */

#ifndef SRC_READTHREAD_H_
#define SRC_READTHREAD_H_

#include <omnithread.h>
#include <tango.h>
#include <inttypes.h>

namespace TwinApuId_ns {

class readthread: public omni_thread, public Tango::LogAdapter {
private:
	Tango::DeviceImpl *device;
	void abort_sleep(double time);
public:
	readthread(Tango::DeviceImpl *devImpl);
	bool abortflag;
	void start() {start_undetached();}
protected:
	//void run(void *);
	void *run_undetached(void *);


};

}

#endif /* SRC_READTHREAD_H_ */
