/*
 * switchenergythread.h
 *
 *  Created on: Jul 23, 2020
 *      Author: claudio
 */

#ifndef SRC_SWITHCHENERGYTHREAD_H_
#define SRC_SWITHCHENERGYTHREAD_H_

#include <omnithread.h>
#include <tango.h>

namespace TwinApuId_ns {

class switchenergythread: public omni_thread, public Tango::LogAdapter {
private:
	Tango::DeviceImpl *device;
public:
	switchenergythread(Tango::DeviceImpl *devImpl, bool high_ene);
	bool abortflag;
	bool high_energy;
	void start() {start_undetached();}
protected:
	//void run(void *);
	void *run_undetached(void *);


};

}

#endif /* SRC_SWITHCHENERGYTHREAD_H_ */
